MIX_GetTrackFrequencyRatio(3)

NAME
MIX_GetTrackFrequencyRatio - Query the frequency ratio of a track.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

float MIX_GetTrackFrequencyRatio(MIX_Track *track);

DESCRIPTION
The frequency ratio is used to adjust the rate at which audio data is consumed. Changing this effectively modifies the speed and pitch of the track's audio. A value greater than 1.0f will play the audio faster, and at a higher pitch. A value less than 1.0f will play the audio slower, and at a lower pitch. 1.0f is normal speed.

The default value is 1.0f.

On various errors (MIX_Init() was not called, the track is NULL), this returns 0.0f. Since this is not a valid value to set, this can be seen as an error state.

FUNCTION PARAMETERS

track
    the track on which to query the frequency ratio.

RETURN VALUE
Returns the current frequency ratio, or 0.0f on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_GetTrackFrequencyRatio(3)